package com.zzsn.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zzsn.entity.BaseDataImage;
import com.zzsn.entity.Basedata;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 *
 */
@DS("master")
public interface BaseDataImageMapper extends BaseMapper<BaseDataImage> {

    /**
     * 插入单条数据
     * @return
     */
    int save(BaseDataImage baseDataImage);

    /**
     * 通过ID查询数据
     * @param id
     * @return
     */
    BaseDataImage queryById(@Param("id") String id);

    /**
     * 批量插入要求
     */
    int insertList(@Param("list") List<BaseDataImage> list);

    /**
     * 通过ID批量查询
     */
    List<BaseDataImage> selectByIds(@Param("list") List<String> ids);
}
